import Api from "~/service/Api"
import Utils from "~/utils"

export default {

    async onTheme(){
        let rtnmsg = await this.executeRule("theme")
        if(rtnmsg.respCode == SUCCESS)
        {
        //TODO 处理数据逻辑

        }
        else
        {
        this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    },
    async  onUnit(){
        let rtnmsg = await this.executeRule( "unit")
        if(rtnmsg.respCode == SUCCESS)
        {
        //TODO 处理数据逻辑

        }
        else
        {
        this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    },
    async onPubname(){
        let rtnmsg = await this.executeRule("pubname")
        if(rtnmsg.respCode == SUCCESS)
        {
        //TODO 处理数据逻辑

        }
        else
        {
        this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    },
    async onDat(){
        let rtnmsg = await this.executeRule("dat")
        if(rtnmsg.respCode == SUCCESS)
        {
        //TODO 处理数据逻辑

        }
        else
        {
        this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    },
    async onContent(){
        let rtnmsg = await this.executeRule("content")
        if(rtnmsg.respCode == SUCCESS)
        {
        //TODO 处理数据逻辑

        }
        else
        {
        this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    },


}